KDE 4.7 PyKDE API Reference

- KDE's Python API

# KAutoUnmount Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

This class implements synchronous unmounting of devices, It is a wrapper around the asychronous KIO.special() call for unmount, used by KMimeType.

This class implements synchronous unmounting of devices,

## Signals
| error ()
| finished ()
## Methods
| __init__ (self, QString mountpoint, QString desktopFile)

## Signal Documentation

error | ( |  | ) |

Emitted in case the directory could not been unmounted

Signal syntax:
  `QObject.connect(source, SIGNAL("error()"), target_slot)`

finished | ( |  | ) |

Emitted when the directory has been unmounted

Signal syntax:
  `QObject.connect(source, SIGNAL("finished()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QString | mountpoint,
|  | QString | desktopFile
| ) |  |  |

Unmounts a device.

Parameters:

  | mountpoint | the mount point - KAutoUnmount finds the device from that
  | desktopFile | the file the user clicked on - to notify KDirWatch of the fact that it should emit fileDirty for it (to have the icon change)